import 'package:flutter/material.dart';

class CheckBoxParameters {
  Widget text;
  bool tristate;
  Color activeColor;
  Color checkColor;
  Color focusColor;
  Color hoverColor;

  CheckBoxParameters(
      {this.tristate,
      this.activeColor,
      this.hoverColor,
      this.checkColor,
      this.focusColor});
}

// ignore: must_be_immutable
class CustomCheckBox extends StatefulWidget {
  CheckBoxParameters param;
  CustomCheckBox(this.param);

  @override
  _MyStatefulWidgetState createState() => _MyStatefulWidgetState(this.param);
}

class _MyStatefulWidgetState extends State<CustomCheckBox> {
  CheckBoxParameters param;
  _MyStatefulWidgetState(this.param);
  bool val = false;

  @override
  Widget build(BuildContext context) {
    return Checkbox(
      hoverColor: (param.hoverColor != null) ? param.hoverColor : Colors.black,
      focusColor: (param.focusColor != null) ? param.focusColor : Colors.black,
      tristate: (param.tristate != null) ? param.tristate : false,
      activeColor:
          (param.activeColor != null) ? param.activeColor : Colors.black,
      checkColor: (param.checkColor != null) ? param.checkColor : Colors.black,
      value: val,
      onChanged: (bool value) {
        print(value);
        setState(() {
          val = value;
        });
      },
    );
  }
}
